# README.md

## Система управления онлайн магазином

### Обзор

Этот проект реализует простую систему управления онлайн магазином с использованием Python. Система позволяет пользователям управлять учетными записями клиентов и заказами через текстовый интерфейс командной строки.

### Функции

- Управление учетными записями клиентов (добавление, поиск, удаление, обновление)
- Управление заказами (создание, обновление, отмена)

### Установка

Для запуска этой приложения убедитесь, что у вас установлен Python на вашем компьютере. Не требуется дополнительных зависимостей.
`pip install online-store-cu`

### Использование

1. Запустите `python -m online_store`, чтобы начать работу приложения.

### Основное меню

Основное меню предоставляет опции для управления учетными записями или заказами:


### Управление учетными записями клиентов

Операции с учетными записями включают:

- Добавление новых клиентов
- Поиск информации о существующих клиентах
- Удаление записей о клиентах
- Обновление данных о клиентах

### Управление заказами

Операции с заказами включают:

- Создание новых заказов
- Обновление статуса заказа
- Отмена заказов

### Структура кода

Проект состоит из трех основных компонентов:

1. `__main__.py`: Содержит основную логику приложения и пользовательский интерфейс.
2. `order_management.py`: Реализует класс `OrderManager` для управления заказами.
3. `user_management.py`: Реализует класс `UserManager` для управления учетными записями клиентов.

### Лицензия

Этот проект лицензируется под лицензией MIT. См. файл LICENSE для подробной информации.
